"use strict";

require('slick-carousel');

module.exports = {
	
	/*-------------------------------------------------------------------------------
		# Cache dom and strings
	-------------------------------------------------------------------------------*/
	$dom: {
		categoriesSlider: $(".js-cats-slider"),
		workSlider: $('.js-gallery-slider'),
		showcaseSlider: $('.js-showcase-slider'),
		diagonalBoxSlider: $('.js-slider-diagonal-boxes'),
	},
	

	/*-------------------------------------------------------------------------------
		# Initialize
	-------------------------------------------------------------------------------*/
	init: function () {

		this.$dom.categoriesSlider.slick({
			slidesToScroll: 1,
			slidesToShow: 3,
			dots: false,
			infinite: true,
			arrows: false,
			variableWidth: true,
			focusOnSelect: true,
			centerMode: true,
			draggable: false,
			swipeToSlide: false,
			touchMove: false,
		});

		this.$dom.workSlider.slick({
			slidesToScroll: 1,
			slidesToShow: 1,
			dots: false,
			infinite: true,
			arrows: true,
			variableWidth: true,
			centerMode: true,
			prevArrow: "<button type='button' class='slick-prev pull-left'><i class='icon-angle-left' aria-hidden='true'></i></button>",
			nextArrow: "<button type='button' class='slick-next pull-right'><i class='icon-angle-right' aria-hidden='true'></i></button>",
		});

		this.$dom.showcaseSlider.slick({
			slidesToScroll: 1,
			slidesToShow: 1,
			dots: false,
			infinite: true,
			arrows: true,
			variableWidth: true,
			rows: 0,
			prevArrow: "<button type='button' class='slick-prev pull-left'><i class='icon-angle-left' aria-hidden='true'></i></button>",
			nextArrow: "<button type='button' class='slick-next pull-right'><i class='icon-angle-right' aria-hidden='true'></i></button>",
			appendArrows: '.showcase-slider-arrows'
		});
		
		this.$dom.diagonalBoxSlider.slick({
			slidesToScroll: 1,
			slidesToShow: 1,
			dots: false,
			infinite: false,
			arrows: false,
			variableWidth: true,
			focusOnSelect: true,
			centerMode: true,
			draggable: false,
			swipeToSlide: false,
			touchMove: false,
		});

		$(window).on('load resize', function() {
			if($(window).width() <= 767) {
				$('.js-services-wrapper-home-mobile').slick({
					slidesToScroll: 1,
					slidesToShow: 1,
					dots: false,
					infinite: false,
					arrows: false,
					variableWidth: true,
					focusOnSelect: true,
					centerMode: true,
					draggable: false,
					swipeToSlide: false,
					touchMove: false,
					rows: 0
				});
			}
		});

	}
};