<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package Corvus
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php wp_head(); ?>
	<?php echo wp_kses( get_theme_mod( 'google_analytics_code' ), [ 'script' => [] ] ); ?>
	<meta name="theme-color" content="#010101">
</head>

<body <?php body_class(); ?>>
<div id="page" class="hfeed site">
	<header id="masthead" class="site-header <?php if( !is_front_page() ) : ?>site-header--inner-pages<?php endif; ?>" role="banner">
		
		<div class="container">
			<div class="site-header-inner logo-menu-wrapper">
				<div class="site-branding-main-logo site-branding">
					<div class="site-title">
						<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
							<?php if( is_front_page() ) : ?>
								<img src="<?php echo get_template_directory_uri() . '/assets/images/logo-white.svg' ?>" alt="logo">
							<?php else : ?>
								<img class="logo-inner-desktop" src="<?php echo get_template_directory_uri() . '/assets/images/logo-black.svg' ?>" alt="logo">
								<img class="logo-inner-mobile" src="<?php echo get_template_directory_uri() . '/assets/images/logo-white.svg' ?>" alt="logo">
							<?php endif; ?>
						</a>
					</div>
					<?php if ( bloginfo( 'description' ) != '' ) : ?>
						<p class="site-description"><?php bloginfo( 'description' ); ?></p>
					<?php endif; ?>
				</div><!-- .site-branding -->
			
				<nav id="site-navigation" class="main-navigation" role="navigation">
					<div class="site-navigation-inner">
						<?php

						wp_nav_menu(
							array(
								'theme_location' 		=> 	'primary',
								'menu_id' 				=> 	'primary-menu',
								'menu_class' 			=> 	'main-header-menu',
								'container_class'		=>	'main-menu-container'
							)
						);



						?>
						<div class="header-lg-switcher mobile">
							<?php do_action('wpml_add_language_selector'); ?>
						</div><!-- .header-lg-switcher -->
					</div>
				</nav><!-- #site-navigation -->

				<div class="header-lg-switcher desktop">
					<?php do_action('wpml_add_language_selector'); ?>
				</div><!-- .header-lg-switcher -->

				<div class="menu-toggle-wrapper">
					<a href='#' class="menu-toggle" aria-controls="primary-menu" aria-expanded="false">
						<span></span>
						<span></span>
						<span></span>
					</a>
				</div>
			</div> <!-- /.row justify-content-between -->
		</div> <!-- /.container logo-menu-wrapper -->
	</header><!-- #masthead /.site-header -->

	<div id="content" class="site-content">