<?php
/**
 * The template for displaying all single posts.
 *
 * @package Corvus
 */
$title_banner = get_field('title_banner') ? get_field('title_banner') : get_the_title();
$banner_icon = get_field('icon');
get_header(); ?>

<div id="primary" class="content-area">
	<main id="main" class="site-main" role="main">

		<div class="single-work-banner" style="background-image:url('<?php echo get_the_post_thumbnail_url(); ?>');">
			<div class="container">
				<div class="single-work-banner-inner">
					<div class="back-to-all-wrapper">
						<a class="back-to-all-link" href="<?php echo get_post_type_archive_link('work'); ?>"><i class="icon-angle-left"></i><?php _e('back to all', 'corvus'); ?></a>
					</div>
					<h5 class="single-work-banner-subtitle"><?php _e('Case Study', 'corvus'); ?></h5>
					<h1 class="single-work-banner-title section-title"><?php echo $title_banner; ?></h1>
					<?php if ( $banner_icon ) : ?>
						<div class="single-work-banner-icon">
							<img src="<?php echo $banner_icon['url']; ?>" alt="">
						</div>
					<?php endif; ?>
				</div>
			</div>
		</div>

		<div class="single-work-description">
			<div class="container">
				<div class="single-work-description-inner">
					<?php if ( $pd_title = get_field('project_description_title') ) : ?>
						<h2 class="section-title single-work-description-title"><?php echo $pd_title; ?></h2>
					<?php endif; ?>
					<?php if ( $pd_content = get_field('project_description') ) : ?>
						<div class="entry-content">
							<?php echo $pd_content; ?>
						</div>
					<?php endif; ?>
				</div>
			</div>
		</div>

		<div class="single-work-steps">
			<div class="container">
				<div class="single-work-steps-top">
					<?php if ( have_rows('steps') ) : 
							$i = 1;
						?>
					
						<?php while( have_rows('steps') ) : the_row(); 
							$icon = get_sub_field('icon');
						?>
					
							<div class="icon-wrapper js-work-nav img-to-svg <?php if($i == 1) : ?>active<?php endif; ?>" data-id="<?php echo $i; ?>">
								<img src="<?php echo $icon['url']; ?>" alt="">
								<span class="icon-wrapper-number"><?php echo $i; ?></span>
							</div>

						<?php $i++; ?>
						<?php endwhile; ?>
					
					<?php endif; ?>
					
				</div>
				<div class="single-work-steps-bottom">
					<?php if ( have_rows('steps') ) : 
							$i = 1;
						?>
					
						<?php while( have_rows('steps') ) : the_row(); ?>
					
							<div class="single-work-steps-content js-work-content <?php if($i == 1) : ?>active<?php endif; ?>" data-id="<?php echo $i; ?>">
								<?php if ( $steps_desc = get_sub_field('description') ) : ?>
									<div class="entry-content">
										<?php echo $steps_desc; ?>
									</div>
								<?php endif; ?>

								<?php if ( $gallery = get_sub_field('gallery') ) : ?>
									<?php 
										$noOfImg = count($gallery);
									?>
									<div class="steps-gallery <?php if($noOfImg == 1) : ?><?php else : ?>js-gallery-slider<?php endif; ?>">
										<?php foreach($gallery as $img) : ?>
											<img src="<?php echo $img['sizes']['crop-848x368']; ?>" alt="work image">
										<?php endforeach; ?>
									</div>
									
								<?php endif; ?>
							</div>
							
							<?php $i++; ?>
						<?php endwhile; ?>
					
					<?php endif; ?>
					
				</div>
			</div>
		</div>
			
	</main><!-- #main -->
</div><!-- #primary -->

<?php get_footer(); ?>
