<?php
/**
 * The template for displaying all single posts.
 *
 * @package Corvus
 */

get_header(); ?>

<div id="primary" class="content-area">
	<main id="main" class="site-main" role="main">

		<?php
		while ( have_posts() ) :
			the_post();

			get_template_part( 'template-parts/content', 'single' );
			
		endwhile; // End of the loop.
		?>

		<div class="related-posts">
			<div class="container">
				<div class="related-posts-inner">
					<h2 class="related-posts-title"><?php _e('Related Posts', 'corvus'); ?></h2>
					<?php 
						$args = array(
							'post_type' => 'post',
							'posts_per_page' => 2,
							'post__not_in' => array (get_the_ID()),
						);

						$related = new WP_Query($args);
					?>
					<?php if ($related->have_posts()) : ?>
						<?php while ($related->have_posts()) : $related->the_post(); ?>

							<?php
								get_template_part('template-parts/custom/post-card');

						endwhile; ?>
						<?php wp_reset_postdata(); ?>
					<?php endif; ?>
				</div>
			</div>
		</div>
				   
	</main><!-- #main -->
</div><!-- #primary -->

<?php get_footer(); ?>
