<?php
    $title = get_sub_field('title');
    $bg = get_sub_field('image');
    $cta = get_sub_field('cta');
?>
<section class="home-hero" style="background-image: url('<?php echo $bg['url']; ?>');">
    <div class="container">
        <div class="home-hero-inner">
            <div class="home-hero-left">
                <div class="home-hero-left-inner">
                    <h2 class="home-hero-title">
                        <?php if ( $title['lovercase_text'] ) : ?>
                            <span class="home-hero-lovercase"><?php echo $title['lovercase_text'] ?></span>
                        <?php endif; ?>
                        <?php if ( $title['uppercase_big_text'] ) : ?>
                            <span class="home-hero-uppercase-big home-hero-uppercase"><?php echo $title['uppercase_big_text'] ?></span>
                        <?php endif; ?>
                        <?php if ( $title['uppercase_small_text'] ) : ?>
                            <span class="home-hero-uppercase-small home-hero-uppercase"><?php echo $title['uppercase_small_text'] ?></span>
                        <?php endif; ?>
                    </h2>
                    <?php if ( $cta ) : ?>
                        <a class="button primary" href="<?php echo $cta['url']; ?>" target="<?php echo $cta['target']; ?>"><span class="text"><?php echo $cta['title']; ?></span><span></span></a>
                    <?php endif; ?>
                </div>
            </div>
            <div class="home-hero-right">
                <?php if ( have_rows('services') ) : ?>
                    <?php $i = 1; ?>
                    <div class="services-wrapper-home desktop">
                    
                        <?php while( have_rows('services') ) : the_row(); 
                            $service = get_sub_field('service');
                            $title = get_sub_field('custom_title') ? get_sub_field('custom_title') : get_the_title($service);
                            $icon = get_field('icon', $service);
                        ?>
                    
                            <div class="service-box-home js-service-box-home-desktop <?php if($i == 1) : ?>active<?php endif; ?>" data-id="<?php echo $service; ?>">
                                <div class="icon-wrapper img-to-svg service-box-home-icon">
                                    <img src="<?php echo $icon['url']; ?>" alt="icon">
                                </div>
                                <h3 class="service-box-home-title"><?php echo $title; ?></h3>
                            </div>

                            <?php $i++; ?>
                        <?php endwhile; ?>

                    </div>
                <?php endif; ?>
                
                <?php if ( have_rows('services') ) : ?>
                    <?php $i = 1; ?>
                    <div class="services-wrapper-home mobile js-services-wrapper-home-mobile">
                    
                        <?php while( have_rows('services') ) : the_row(); 
                            $service = get_sub_field('service');
                            $title = get_sub_field('custom_title') ? get_sub_field('custom_title') : get_the_title($service);
                            $icon = get_field('icon', $service);
                        ?>
                    
                            <div class="service-box-home js-service-box-home-mobile <?php if($i == 1) : ?>active<?php endif; ?>" data-id="<?php echo $service; ?>">
                                <div class="icon-wrapper img-to-svg service-box-home-icon">
                                    <img src="<?php echo $icon['url']; ?>" alt="icon">
                                </div>
                                <h3 class="service-box-home-title"><?php echo $title; ?></h3>
                            </div>

                            <?php $i++; ?>
                        <?php endwhile; ?>

                    </div>

                <?php endif; ?>
                <?php if ( have_rows('services') ) : ?>

                    <div class="services-wrapper-home-bottom">

                        <?php while( have_rows('services') ) : the_row(); 
                            $service = get_sub_field('service');
                        ?>

                            <div class="service-box-info" data-id="<?php echo $service; ?>">
                                <h3><?php echo get_the_title($service); ?></h3>
                                <p><?php echo wp_trim_words(get_field('intro_text', $service), 15, '...'); ?></p>
                            </div>

                        <?php endwhile; ?>
                        
                </div>

                <?php endif; ?>
                
            </div>
            <?php if ( $cta ) : ?>
                <div class="home-hero-bottom">
                    <a class="button primary" href="<?php echo $cta['url']; ?>" target="<?php echo $cta['target']; ?>"><span class="text"><?php echo $cta['title']; ?></span><span></span></a>
                </div>
            <?php endif; ?>
        </div>
    </div>
</section>