<?php
/**
 * The template for displaying archive pages.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Corvus
 */
$all_cats_icon = get_field('all_cats_icon', 'option');
$all_cats_title = get_field('all_cats_title', 'option');
$all_cats_content = get_field('all_cats_content', 'option');

$banner_img = get_field('banner_image_work', 'option');
$banner_icon = get_field('banner_icon_work', 'option');
$banner_title = get_field('banner_title_work', 'option');

get_header(); ?>
<div id="primary" class="content-area">
    <main id="main" class="site-main" role="main">
        <section class="archive-banner">
            <div class="container">
                <div class="archive-banner-inner">
                    <div class="archive-banner-elipse" style="background-image: url('<?php echo $banner_img['url']; ?>');"></div>
                    <div class="content">
                        <div class="icon-wrapper">
                            <img src="<?php echo $banner_icon['url']; ?>" alt="">
                        </div>
                        <h1><?php echo $banner_title; ?></h1>
                    </div>
                </div>
            </div>
        </section>

        <div class="archive-posts-wrapper">
            <div class="container">

                <div class="category-navigation">
                    <div class="category-navigation-inner js-cats-slider category-navigation-inner-mobile">
                        <div class="cat-box img-to-svg cat-box-all js-term-link" data-termid="all">
                            <img class="cat-box-svg" src="<?php echo $all_cats_icon['url']; ?>" alt="icon">
                        </div>
                        <?php 
                            $cats = get_terms('work-category');
                        ?>
                        <?php foreach($cats as $cat) : 
                            $cat_icon = get_field('icon', $cat);
                        ?>
                            <div class="cat-box img-to-svg js-term-link" data-termid="<?php echo $cat->term_id; ?>" data-term-count="<?php echo $cat->count; ?>">
                                <img class="cat-box-svg" src="<?php echo $cat_icon['url']; ?>" alt="icon">
                            </div>
                        <?php endforeach; ?>
                    </div>

                    

                    <div class="category-navigation-inner category-navigation-inner-desktop sticky">
                        <div class="cat-box img-to-svg cat-box-all js-cats-sticky active" data-termid="all">
                            <img class="cat-box-svg" src="<?php echo $all_cats_icon['url']; ?>" alt="icon">
                        </div>
                        <?php 
                            $cats = get_terms('work-category');
                        ?>
                        <?php $i = 1; ?>
                        <?php foreach($cats as $cat) : 
                            $cat_icon = get_field('icon', $cat);
                        ?>
                            <div class="cat-box img-to-svg js-cats-sticky" data-termid="<?php echo $cat->term_id; ?>" data-term-count="<?php echo $cat->count; ?>" style="order: <?php echo $i; ?>;">
                                <img class="cat-box-svg" src="<?php echo $cat_icon['url']; ?>" alt="icon">
                            </div>
                            <?php $i++; ?>
                        <?php endforeach; ?>
                    </div>
                </div>
                
                <div class="archive-cats-info js-work-cats-info">
                    <div class="category-info">
                        <h2><?php echo $all_cats_title; ?></h2>
                        <div class="entry-content">
                            <p><?php echo $all_cats_content; ?></p>
                        </div>
                    </div>
                </div>
                <div class="archive-posts-cards archive-posts-cards--work js-work-row">
                    <?php 
                        $args = array(
                            'post_type' => 'work',
                            'posts_per_page' => -1
                        );

                        $posts = new WP_Query($args);
                    ?>
                    <?php if ($posts->have_posts()) : ?>
    
                        <?php /* Start the Loop */ ?>
                        <?php while ($posts->have_posts()) : $posts->the_post(); ?>

                            <?php

                            /*
                                * Include the Post-Format-specific template for the content.
                                * If you want to override this in a child theme, then include a file
                                * called content-___.php (where ___ is the Post Format name) and that will be used instead.
                                */
                            
                                get_template_part('template-parts/custom/work-card');
                                
                            endwhile; ?>

                    <?php endif; ?>
                </div>
            </div>
        </div>

    </main><!-- #main -->
</div><!-- #primary -->
<?php get_footer(); ?>
