'use strict';
module.exports = {
	/*-------------------------------------------------------------------------------
		# Cache dom and strings
	-------------------------------------------------------------------------------*/
	$dom: {
		termLink: $('.js-term-link'),
		row: $('.js-work-row'),
        catsInfoWrapper: $('.js-work-cats-info'),
		catsSticky: $('.js-cats-sticky')
	},

	/*-------------------------------------------------------------------------------
		# Initialize
	-------------------------------------------------------------------------------*/
	init: function () {
		const self = this;
		const $dom = this.$dom;
		this.totalPages = Math.ceil(parseInt(js_vars.postsCount) / this.postPerPage);

		$dom.termLink.on('click', function () {
			$dom.termLink.not(this).removeClass('active');
			$(this).addClass('active');
            const termPostCount = parseInt($(this).attr('data-term-count'));
            const term = $(this).attr('data-termid');
            self.totalPages = Math.ceil(termPostCount / self.postPerPage);
            self.catsInfo(term);
            self.postsLoad(term);

			if($(window).width() <= 767) {
				$dom.catsSticky.each(function() {
					const stickyTermID = $(this).attr('data-termid');

					if(stickyTermID == term) {
						$dom.catsSticky.not(this).removeClass('active');
						$(this).addClass('active');
					}
				})
			}
		});

		if($(window).width() <= 767) {
			$dom.catsSticky.on('click', function() {
				$dom.catsSticky.not(this).removeClass('active');
				$(this).addClass('active');
				const stickyTermID = $(this).attr('data-termid');

				$dom.termLink.each(function() {
					const term = $(this).attr('data-termid');

					if(stickyTermID == term) {
						$(this).eq(0).trigger('click');
						$('html, body').animate({
							scrollTop : $('.category-navigation').offset().top - 100
						}, 800);
					}
				})
			})
		}
	},

    catsInfo: function (term) {
		const data = {
			action: 'work_cats_info',
			term: term
		};

		$.ajax({
			type: 'POST',
			url: js_vars.ajaxurl,
			data: data,
			success: (response) => {
				const $response = $(response);
                this.$dom.catsInfoWrapper.html('');
                this.$dom.catsInfoWrapper.append($response);
			}
		});
	},

	postsLoad: function (term) {
		const data = {
			action: 'works_by_cat',
			term: term
		};

		$.ajax({
			type: 'POST',
			url: js_vars.ajaxurl,
			data: data,
			success: (response) => {
				const $response = $(response);
                this.$dom.row.html('');
                this.$dom.row.append($response);

                $('.work-card').each(function (i, el) {
					setTimeout(() => {
						$(el).removeClass('hidden');
					}, 100 * i);
				});
			}
		});
	}
};
