<?php

function services_cpt() {
    $singular = 'Service'; // Book
	$plural = 'Services';  // Books
	
    $slug = str_replace( ' ', '-', strtolower( $singular ) );

    $labels = array(
        'name' 			      => __( $plural, 'corvus' ),
        'singular_name' 	  => __( $singular, 'corvus' ),
        'add_new' 		      => _x( 'Add New', 'corvus', 'corvus' ),
        'add_new_item'  	  => __( 'Add New ' . $singular, 'corvus' ),
        'edit'		          => __( 'Edit', 'corvus' ),
        'edit_item'	          => __( 'Edit ' . $singular, 'corvus' ),
        'new_item'	          => __( 'New ' . $singular, 'corvus' ),
        'view' 			      => __( 'View ' . $singular, 'corvus' ),
        'view_item' 		  => __( 'View ' . $singular, 'corvus' ),
        'search_term'   	  => __( 'Search ' . $plural, 'corvus' ),
        'parent' 		      => __( 'Parent ' . $singular, 'corvus' ),
        'not_found'           => __( 'No ' . $plural .' found', 'corvus' ),
        'not_found_in_trash'  => __( 'No ' . $plural .' in Trash', 'corvus' ),
    );

    $args = array(
        'labels'              => $labels,
        'hierarchical'        => false,
        'public'              => true,
        'show_in_menu'        => true,
        'show_in_nav_menus'   => true,
        'has_archive'         => true,
        'rewrite'             => array('slug' => $slug),
        'menu_icon'           => 'dashicons-lightbulb',
        'supports'            => array( 'title' )
    );

    register_post_type( $slug, $args );
}

add_action( 'init', 'services_cpt' );