<?php 
	if( function_exists('acf_add_options_page') ) {
		
		acf_add_options_page(array(
			'page_title' 	=> 'Theme General Settings',
			'menu_title'	=> 'Theme Settings',
			'menu_slug' 	=> 'theme-general-settings',
			'capability'	=> 'edit_posts',
			'redirect'		=> false
		));
		
		acf_add_options_sub_page(array(
			'page_title' 	=> 'Theme Archive Settings',
			'menu_title'	=> 'Archive',
			'parent_slug'	=> 'theme-general-settings',
		));
		
		acf_add_options_sub_page(array(
			'page_title' 	=> 'Theme Footer Settings',
			'menu_title'	=> 'Footer',
			'parent_slug'	=> 'theme-general-settings',
		));
		
	}

	if ( ! function_exists( 'corvus_custom_menus' ) ) {
 
		function corvus_custom_menus(){
			register_nav_menus( array(
				'footer_menu_1' => __( 'Footer Shortcuts Menu', 'text_domain' ),
				'footer_menu_2'  => __( 'Footer Info Menu', 'text_domain' ),
			) );
		}
		add_action( 'after_setup_theme', 'corvus_custom_menus', 0 );
	}
?>

<?php
	// active menu item for archive fix
	function change_page_menu_classes($menu)
	{
		global $post;
		if (is_post_type_archive('work') || is_singular('work')) :
			$menu = str_replace('current_page_parent', '', $menu); // remove all current_page_parent classes
			$menu = str_replace('menu-item-object-work', 'menu-item-object-work current-menu-item', $menu); // add the current_page_parent class to the page you want
		endif;
		if (is_post_type_archive('service') || is_singular('service')) :
			$menu = str_replace('current_page_parent', '', $menu); // remove all current_page_parent classes
			$menu = str_replace('menu-item-object-service', 'menu-item-object-service current-menu-item', $menu); // add the current_page_parent class to the page you want
		endif;
		// if (is_search()) :
		// 	$menu = str_replace('current_page_parent', '', $menu); // remove all current_page_parent classes
		// endif;
		return $menu;
	}
	add_filter('nav_menu_css_class', 'change_page_menu_classes', 10, 2);
?>