<?php
    $layout = get_sub_field('layout');
?>
<section class="approach-block <?php if(!$layout) : ?>approach-block--small<?php endif; ?>">
    <div class="container">
        <div class="approach-block-inner">
            <?php if ( $title = get_sub_field('title') ) : ?>
                <h2 class="approach-block-title section-title text-center"><?php echo $title; ?></h2>
            <?php endif; ?>
            <?php if ( $text = get_sub_field('text') ) : ?>
                <div class="entry-content approach-text">
                    <?php echo $text; ?>
                </div>
            <?php endif; ?>
            
            <?php if ( have_rows('steps') ) : ?>

                <div class="approach-block-steps-wrapper">
                
                    <?php while( have_rows('steps') ) : the_row(); 
                        $icon = get_sub_field('icon');
                    ?>
                
                        <div class="approach-step-wrapper">
                            <div class="inner">
                                <div class="approach-step-icon-wrapper">
                                    <img src="<?php echo $icon['url']; ?>" alt="icon">
                                    <span class="half-circle"></span>
                                </div>
                                <div class="approach-step-content">
                                    <h3><?php the_sub_field('title'); ?></h3>
                                    <div class="entry-content">
                                        <p><?php the_sub_field('text'); ?></p>
                                    </div>
                                </div>
                            </div>
                        </div>
                
                    <?php endwhile; ?>
                
                </div>

            <?php endif; ?>
            
            <?php if ( have_rows('steps_small') ) : ?>
                <?php $i = 1; ?>

                <div class="approach-block-small-steps-wrapper">

                    <?php while( have_rows('steps_small') ) : the_row(); 
                        $icon_small = get_sub_field('icon');
                    ?>
                        <div class="approach-small-step-box">
                            <div class="aproach-small-icon-wrapper">
                                <img src="<?php echo $icon_small['url']; ?>" alt="icon">
                                <span class="half-circle"></span>
                                <span class="icon-wrapper-number"><?php echo $i; ?></span>
                            </div>

                            <div class="content">
                                <h3 class="approach-small-step-box-title"><?php the_sub_field('title'); ?></h3>
                                <div class="entry-content">
                                    <p><?php the_sub_field('text'); ?></p>
                                </div>
                            </div>
                        </div>
                    
                        <?php $i++; ?>
                    <?php endwhile; ?>
                </div>
            <?php endif; ?>
            
        </div>
    </div>
</section>