<?php
/**
 * The template for displaying archive pages.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package Corvus
 */

$banner_img = get_field('banner_image_service', 'option');
$banner_icon = get_field('banner_icon_service', 'option');

get_header(); ?>
<div id="primary" class="content-area">
    <main id="main" class="site-main" role="main">
        <section class="archive-banner archive-banner--service">
            <div class="container">
                <div class="archive-banner-inner archive-banner--service-inner">
                    <div class="archive-banner-elipse archive-banner--service-elipse" style="background-image: url('<?php echo $banner_img['url']; ?>');"></div>
                    <div class="content">
                        <div class="icon-wrapper">
                            <img src="<?php echo $banner_icon['url']; ?>" alt="">
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <section class="archive-services-content">
            <div class="container">
                <div class="archive-services-content-inner">
                    <?php if ( $title_service = get_field('title_services', 'option') ) : ?>
                        <h1 class="section-title"><?php echo $title_service; ?></h1>
                    <?php endif; ?>
                    <?php if ( $desc_service = get_field('description_services', 'option') ) : ?>
                        <div class="entry-content">
                            <?php echo $desc_service; ?>
                        </div>
                    <?php endif; ?>
                    <div class="service-cards-wrapper">

                        <?php if (have_posts()) : ?>

                            <?php while (have_posts()) : the_post(); ?>

                                <?php
                                    get_template_part('template-parts/custom/service-card');

                            endwhile; ?>

                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </section>

    </main><!-- #main -->
</div><!-- #primary -->
<?php get_footer(); ?>
