"use strict";

require('slick-carousel');

module.exports = {
	
	/*-------------------------------------------------------------------------------
		# Cache dom and strings
	-------------------------------------------------------------------------------*/
	$dom: {
		categoriesSlider: $(".js-cats-slider"),
		homeHeroMain: $(".services-wrapper-home"),
		homeHeroBottom: $(".services-wrapper-home-bottom"),
		workSlider: $('.js-gallery-slider'),
		showcaseSlider: $('.js-showcase-slider'),
		diagonalBoxSlider: $('.js-slider-diagonal-boxes'),
	},
	

	/*-------------------------------------------------------------------------------
		# Initialize
	-------------------------------------------------------------------------------*/
	init: function () {

		this.$dom.categoriesSlider.slick({
			slidesToScroll: 1,
			slidesToShow: 1,
			dots: false,
			infinite: true,
			arrows: false,
			initialSlide: 0,
			variableWidth: true,
			focusOnSelect: true,
			centerMode: true,
			draggable: false,
			swipeToSlide: false,
			touchMove: false,
		});

		this.$dom.workSlider.slick({
			slidesToScroll: 1,
			slidesToShow: 1,
			dots: false,
			infinite: true,
			arrows: true,
			variableWidth: true,
			centerMode: true,
			prevArrow: "<button type='button' class='slick-prev pull-left'><i class='icon-angle-left' aria-hidden='true'></i></button>",
			nextArrow: "<button type='button' class='slick-next pull-right'><i class='icon-angle-right' aria-hidden='true'></i></button>",
		});

		this.$dom.showcaseSlider.slick({
			slidesToScroll: 1,
			slidesToShow: 1,
			dots: false,
			infinite: true,
			arrows: true,
			variableWidth: true,
			rows: 0,
			prevArrow: "<button type='button' class='slick-prev pull-left'><i class='icon-angle-right' aria-hidden='true'></i></button>",
			nextArrow: "<button type='button' class='slick-next pull-right'><i class='icon-angle-left' aria-hidden='true'></i></button>",
			appendArrows: '.showcase-slider-arrows'
		});
		
		this.$dom.diagonalBoxSlider.slick({
			slidesToScroll: 1,
			slidesToShow: 1,
			dots: false,
			infinite: false,
			arrows: false,
			variableWidth: true,
			focusOnSelect: true,
			centerMode: true,
			draggable: false,
			swipeToSlide: false,
			touchMove: false,
		});
		
		this.$dom.homeHeroMain.slick({
			slidesToScroll: 1,
			slidesToShow: 1,
			dots: false,
			infinite: true,
			arrows: false,
			variableWidth: true,
			focusOnSelect: true,
			asNavFor: this.$dom.homeHeroBottom,
			responsive: [
				{
				  breakpoint: 1199,
				  settings: {
					centerMode: true,
					slidesToShow: 3
				  }
				},
			]
		});

		this.$dom.homeHeroBottom.slick({
			slidesToShow: 1,
			slidesToScroll: 1,
			variableWidth: true,
			// asNavFor: this.$dom.homeHeroMain,
			dots: false,
			arrows: false,
			infinite: true,
		});

		$('.category-navigation-inner-mobile').on('beforeChange', function(event, slick, currentSlide, nextSlide){
			if($('.js-posts-term-link').length) {
				$('.slick-slide[data-slick-index="' + nextSlide + '"]').find('.js-posts-term-link').trigger('click');
			}

			if($('.js-term-link').length) {
				$('.slick-slide[data-slick-index="' + nextSlide + '"]').find('.js-term-link').trigger('click');
			}
		});

	}
};