<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after
 *
 * @package Corvus
 */

?>
			</div><!-- #content -->

			<footer id="colophon" class="site-footer" role="contentinfo">
				<div class="container">
					<div class="site-footer-inner">
						<div class="site-footer-column column-1">
							<?php if ( $col1_title = get_field('title_footer_col_1', 'option') ) : ?>
								<h3 class="site-footer-title"><?php echo $col1_title; ?></h3>
							<?php endif; ?>

							<?php if ( $phone = get_field('phone_number', 'option') ) : ?>
								<?php if ( $label = get_field('phone_label', 'option') ) : ?>
									<span class="site-footer-phone-label"><?php echo $label; ?></span>
								<?php endif; ?>
								<a class="site-footer-phone-number" href="tel:<?php echo str_replace(array(' ', '+', '-', '.', '/'), '', $phone) ?>"><?php echo $phone; ?></a>
							<?php endif; ?>
							
							<?php if ( $copyright = get_field('copyright', 'option') ) : ?>
								<span class="site-footer-copyright"><?php echo $copyright; ?></span>
							<?php endif; ?>
						</div>

						<div class="site-footer-column column-2">
							<?php if ( $col2_title = get_field('title_footer_col_2', 'option') ) : ?>
								<h3 class="site-footer-title small"><?php echo $col2_title; ?></h3>
							<?php endif; ?>
							
							<?php

								wp_nav_menu(
									array(
										'theme_location' 		=> 	'footer_menu_1',
										'menu_class' 			=> 	'footer-menu',
										'container_class'		=>	'footer-menu-container'
									)
								);

							?>
						</div>

						<div class="site-footer-column column-3">
							<?php if ( $col3_title = get_field('title_footer_col_3', 'option') ) : ?>
								<h3 class="site-footer-title small"><?php echo $col3_title; ?></h3>
							<?php endif; ?>
							<?php

								wp_nav_menu(
									array(
										'theme_location' 		=> 	'footer_menu_2',
										'menu_class' 			=> 	'footer-menu',
										'container_class'		=>	'footer-menu-container'
									)
								);

							?>
						</div>

						<div class="site-footer-column column-4">
							<?php if ( $col4_title = get_field('title_footer_col_4', 'option') ) : ?>
								<h3 class="site-footer-title small"><?php echo $col4_title; ?></h3>
							<?php endif; ?>
							<?php if ( $nl_form = get_field('newsletter_shortcode', 'option') ) : ?>
								<div class="newsletter-wrapper">
									<?php echo do_shortcode($nl_form); ?>
								</div>
							<?php endif; ?>

							<?php if ( have_rows('social', 'option') ) : ?>

								<div class="footer-social-wrapper">

									<?php while( have_rows('social', 'option') ) : the_row(); 
										$icon = get_sub_field('icon');
									?>
									
										<a class="footer-social-link img-to-svg" href="<?php echo get_sub_field('url'); ?>" target="_blank"><img src="<?php echo $icon['url']; ?>" alt=""></a>
									
									<?php endwhile; ?>
							
								</div>

							<?php endif; ?>
							
						</div>

						<div class="site-footer-bottom">
							<?php if ( have_rows('social', 'option') ) : ?>

								<div class="footer-social-wrapper">

									<?php while( have_rows('social', 'option') ) : the_row(); 
										$icon = get_sub_field('icon');
									?>
									
										<a class="footer-social-link img-to-svg" href="<?php echo get_sub_field('url'); ?>" target="_blank"><img src="<?php echo $icon['url']; ?>" alt=""></a>
									
									<?php endwhile; ?>

								</div>

								<?php endif; ?>
							<?php if ( $copyright = get_field('copyright', 'option') ) : ?>
								<span class="site-footer-copyright"><?php echo $copyright; ?></span>
							<?php endif; ?>
						</div>
					</div>
				</div>
			</footer><!-- #colophon -->
		</div><!-- #page -->
		<!-- W3TC-include-css -->
		<?php wp_footer(); ?>
	<!-- W3TC-include-js-head -->
	</body>
</html>
