<?php
function works_by_cat() {
	$term = $_POST['term'];
	$args_works = array(
		'post_type' => 'work',
		'posts_per_page' => -1,
	);

	if ($term != 'all') {
		$args_works['tax_query'] = array(
			array(
				'taxonomy' => 'work-category',
				'field'    => 'id',
				'terms'    => $term,
			),
		);
	}

	$works = new WP_Query( $args_works );

	if ( $works->have_posts() ) :
		while ( $works->have_posts() ) : $works->the_post(); ?>
			
			<div class="work-card hidden">
				<div class="work-card-inner">
					<a href="<?php the_permalink(); ?>" class="work-card-img-wrapper">
						<img src="<?php echo get_the_post_thumbnail_url($post->ID,'crop-309x144'); ?>" alt="post image">
					</a>
					<div class="work-card-content">
						<a href="<?php the_permalink(); ?>"><h2 class="work-card-content-title"><?php the_title(); ?></h2></a>
						<div class="entry-content">
							<p><?php echo wp_trim_words(get_field('excerpt'), 20, '...'); ?></p>
						</div>
					</div>
				</div>
			</div>

	<?php
		endwhile;
		wp_reset_postdata();
	endif;
	
	exit();
}

add_action( 'wp_ajax_works_by_cat', 'works_by_cat' );
add_action( 'wp_ajax_nopriv_works_by_cat', 'works_by_cat' );



function work_cats_info() {
	$term = $_POST['term'];

	if ($term != 'all') {
		$term_title = get_term( $term )->name;
		$term_desc = get_term( $term )->description;
	} else {
		$term_title = get_field('all_cats_title', 'option');
		$term_desc = get_field('all_cats_content', 'option');
	}
	?>

	<div class="category-info">
		<h2><?php echo $term_title; ?></h2>
		<div class="entry-content">
			<p><?php echo $term_desc; ?></p>
		</div>
	</div>

	<?php
	exit();
}

add_action( 'wp_ajax_work_cats_info', 'work_cats_info' );
add_action( 'wp_ajax_nopriv_work_cats_info', 'work_cats_info' );



// Load Posts
function posts_by_cat() {
	$term = $_POST['term'];
	$args = array(
		'post_type' => 'post',
		'posts_per_page' => -1,
	);

	if ($term != 'all') {
		$args['tax_query'] = array(
			array(
				'taxonomy' => 'category',
				'field'    => 'id',
				'terms'    => $term,
			),
		);
	}

	$posts = new WP_Query( $args );

	if ( $posts->have_posts() ) :
		while ( $posts->have_posts() ) : $posts->the_post(); ?>
			
			<div class="post-card hidden">
				<div class="post-card-inner">
					<a href="<?php the_permalink(); ?>" class="post-card-img-wrapper">
						<img src="<?php echo get_the_post_thumbnail_url($post->ID,'crop-309x144'); ?>" alt="post image">
						<span class="date"><?php echo get_the_date('d/m/Y'); ?></span>
					</a>
					<div class="post-card-content">
						<a href="<?php the_permalink(); ?>"><h2 class="post-card-content-title"><?php the_title(); ?></h2></a>
						<div class="entry-content">
							<p><?php echo wp_trim_words(get_field('excerpt'), 20, '...'); ?></p>
						</div>
					</div>
				</div>
			</div>

	<?php
		endwhile;
		wp_reset_postdata();
	endif;
	
	exit();
}

add_action( 'wp_ajax_posts_by_cat', 'posts_by_cat' );
add_action( 'wp_ajax_nopriv_posts_by_cat', 'posts_by_cat' );



function post_cats_info() {
	$term = $_POST['term'];

	if ($term != 'all') {
		$term_title = get_term( $term )->name;
		$term_desc = get_term( $term )->description;
	} else {
		$term_title = get_field('all_posts_title', 'option');
		$term_desc = get_field('all_posts_content', 'option');
	}
	?>

	<div class="category-info">
		<h2><?php echo $term_title; ?></h2>
		<div class="entry-content">
			<p><?php echo $term_desc; ?></p>
		</div>
	</div>

	<?php
	exit();
}

add_action( 'wp_ajax_post_cats_info', 'post_cats_info' );
add_action( 'wp_ajax_nopriv_post_cats_info', 'post_cats_info' );