<?php
/**
 * The template for displaying all single posts.
 *
 * @package Corvus
 */
// $title_banner = get_field('title_banner') ? get_field('title_banner') : get_the_title();
$banner_icon = get_field('icon');
$banner_img = get_field('banner_image');
get_header(); ?>

<div id="primary" class="content-area">
	<main id="main" class="site-main" role="main">

		<section class="archive-banner archive-banner--service">
            <div class="container">
                <div class="archive-banner-inner archive-banner--service-inner">
                    <div class="archive-banner-elipse archive-banner--service-elipse" style="background-image: url('<?php echo $banner_img['url']; ?>');"></div>
                    <div class="content">
                        <div class="icon-wrapper">
                            <img src="<?php echo $banner_icon['url']; ?>" alt="">
                        </div>
                    </div>
                </div>
            </div>
        </section>

		<div class="single-work-description">
			<div class="container">
				<div class="single-work-description-inner">
					<h2 class="section-title single-work-description-title"><?php the_title(); ?></h2>
					<?php if ( $it_content = get_field('intro_text') ) : ?>
						<div class="entry-content">
							<?php echo $it_content; ?>
						</div>
					<?php endif; ?>
				</div>
			</div>
		</div>

		<div class="single-work-steps">
			<div class="container">
				<div class="single-work-steps-top">
					<?php if ( have_rows('steps_steps') ) : 
							$i = 1;
						?>
					
						<?php while( have_rows('steps_steps') ) : the_row(); 
							$icon = get_sub_field('icon');
						?>
					
							<div class="icon-wrapper js-work-nav img-to-svg <?php if($i == 1) : ?>active<?php endif; ?>" data-id="<?php echo $i; ?>">
								<img src="<?php echo $icon['url']; ?>" alt="">
								<span class="icon-wrapper-number"><?php echo $i; ?></span>
							</div>

						<?php $i++; ?>
						<?php endwhile; ?>
					
					<?php endif; ?>
					
				</div>
				<div class="single-work-steps-bottom">
					<?php if ( have_rows('steps_steps') ) : 
							$i = 1;
						?>
					
						<?php while( have_rows('steps_steps') ) : the_row(); ?>
					
							<div class="single-work-steps-content js-work-content <?php if($i == 1) : ?>active<?php endif; ?>" data-id="<?php echo $i; ?>">
								<?php if ( $steps_desc = get_sub_field('description') ) : ?>
									<div class="entry-content">
										<?php echo $steps_desc; ?>
									</div>
								<?php endif; ?>

								<?php if ( have_rows('inner_steps') ) : 
										$j = 1;
									?>
									<div class="inner-steps-wrapper top">
									
										<?php while( have_rows('inner_steps') ) : the_row();
											$is_icon = get_sub_field('icon');
										?>
									
											<div class="inner-step-box">
												<div class="step-number"><?php echo $j; ?> <?php _e('step', 'corvus'); ?></div>
											</div>
									
										<?php $j++; ?>
										<?php endwhile; ?>

									</div>
								
								<?php endif; ?>

								<?php if ( have_rows('inner_steps') ) : 
									?>
									<div class="inner-steps-wrapper bottom">
									
										<?php while( have_rows('inner_steps') ) : the_row();
											$is_icon = get_sub_field('icon');
										?>
									
											<div class="inner-step-box">
												<div class="icon-wrapper">
													<img src="<?php echo $is_icon['url']; ?>" alt="inner step icon">
												</div>
												<h3 class="inner-step-title"><?php the_sub_field('title'); ?></h3>
												<div class="entry-content">
													<p><?php the_sub_field('text'); ?></p>
												</div>
											</div>
									
										<?php $j++; ?>
										<?php endwhile; ?>

									</div>
								
								<?php endif; ?>
								

								<?php if ( $gallery = get_sub_field('gallery') ) : ?>
									<?php 
										$noOfImg = count($gallery);
									?>
									<div class="steps-gallery <?php if($noOfImg == 1) : ?><?php else : ?>js-gallery-slider<?php endif; ?>">
										<?php foreach($gallery as $img) : ?>
											<img src="<?php echo $img['sizes']['crop-848x368']; ?>" alt="work image">
										<?php endforeach; ?>
									</div>
									
								<?php endif; ?>
							</div>
							
							<?php $i++; ?>
						<?php endwhile; ?>
					
					<?php endif; ?>
					
				</div>
			</div>
		</div>

		<div class="industry-experience">
			<div class="container">
				<div class="industry-experience-inner">
					<?php if ( $title_exp = get_field('title_exp') ) : ?>
						<h2 class="section-title"><?php echo $title_exp; ?></h2>
					<?php endif; ?>
					<?php if ( $text_exp = get_field('text_exp') ) : ?>
						<div class="entry-content">
							<?php echo $text_exp; ?>
						</div>
					<?php endif; ?>

					<?php if ( have_rows('boxes') ) : ?>
						
						<div class="industry-experience-boxes-wrapper">

							<?php while( have_rows('boxes') ) : the_row(); 
								$icon_boxes = get_sub_field('icon');
							?>
						
								<div class="box-wrapper">
									<div class="box-wrapper-inner">
										<img src="<?php echo $icon_boxes['url']; ?>" alt="">
										<span class="half-circle"></span>
									</div>
									<span class="box-wrapper-title"><?php the_sub_field('title'); ?></span>
								</div>
						
							<?php endwhile; ?>

						</div>
					
					<?php endif; ?>
					
				</div>
			</div>
		</div>

		<div class="showcase-slider">
			<div class="container">
				<div class="showcase-slider-inner">
					<div class="content">
						<div class="showcase-slider-arrows"></div>
						<div class="content-inner">
						<?php if ( $title = get_field('title_scs') ) : ?>
							<h2 class="section-title"><?php echo $title; ?></h2>
						<?php endif; ?>
						<?php if ( $text = get_field('text_scs') ) : ?>
							<div class="entry-content">
								<?php echo $text; ?>
							</div>
						<?php endif; ?>
						<?php if ( $link = get_field('cta_scs') ) : ?>
							<a href="<?php echo $link['url']; ?>" target="<?php echo $link['target']; ?>" class="button secondary"><span class="text"><?php echo $link['title']; ?></span><span></span></a>
						<?php endif; ?>
						</div>
					</div>
					<?php $tax = get_field('taxonomy_scs'); ?>
					<div class="showcase-slider-wrapper js-showcase-slider">
						<?php 
						$args = array(
							'post_type' => 'work',
							'posts_per_page' => 10,
							'tax_query' => array(
								array(
									'taxonomy' => 'work-category',
									'field'    => 'id',
									'terms'    => $tax,
								),
							),
						);

						$works = new WP_Query($args);
						?>
						<?php if ($works->have_posts()) : ?>
				
						<?php /* Start the Loop */ ?>
						<?php while ($works->have_posts()) : $works->the_post(); ?>

							<?php
									get_template_part('template-parts/custom/work-card');

						endwhile; ?>
						<?php wp_reset_postdata(); ?>
						<?php endif; ?>
					</div>
				</div>
			</div>
		</div>
			
	</main><!-- #main -->
</div><!-- #primary -->

<?php get_footer(); ?>
